package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * ekp交互失败存储表
 * @TableName t_insurance_ekp
 */
@Data
@Tag(name = "ekp交互失败存储表")
public class TInsuranceEkp implements Serializable {
    /**
     * 主键id
     */
    private String id;

    /**
     * 商险id
     */
    private String detailId;

    /**
     * 结算id
     */
    private String defaultSettleId;

    /**
     * 项目编码
     */
    private String deptNo;

    /**
     * 项目名称
     */
    private String deptName;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 客户编码
     */
    private String customerCode;

    /**
     * 员工姓名
     */
    private String empName;

    /**
     * 员工身份证号
     */
    private String empIdcardNo;

    /**
     * 发票号
     */
    private String invoiceNo;

    /**
     * 发生日期
     */
    private Date happenDate;

    /**
     * 保单编号
     */
    private String policyNo;

    /**
     * 保险公司名称
     */
    private String insuranceCompanyName;

    /**
     * 险种名称
     */
    private String insuranceTypeName;

    /**
     * 保单开始时间
     */
    private Date policyStart;

    /**
     * 保单结束时间
     */
    private Date policyEnd;

    /**
     * 购买标准
     */
    private String buyStandard;

    /**
     * 医疗额度
     */
    private String medicalQuota;

    /**
     * 身故或残疾额度
     */
    private String dieDisableQuota;

    /**
     * 实际保费
     */
    private String actualPremium;

    /**
     * 预估保费
     */
    private String estimatePremium;

    /**
     * 结算月
     */
    private String settleMonth;

    /**
     * 单据状态
     */
    private String interactiveType;

    /**
     * 重发标识
     */
    private String resendFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 发送时间
     */
    private Date pushTime;

    private static final long serialVersionUID = 1L;

}