package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 减员信息表
 * @TableName t_insurance_refund
 */
@Data
@Tag(name = "减员信息表")
public class TInsuranceRefund extends BaseEntity {
    /**
     * 主键id
     */
	@TableId(type = IdType.ASSIGN_ID)
	@Schema(description = "主键")
    private String id;

    /**
     * 保单信息主键
     */
	@Schema(description = "保单信息主键")
    private String insDetailId;

    /**
     * 减员状态
     */
	@Schema(description = "减员状态")
    private Integer reduceHandleStatus;

    /**
     * 退费金额
     */
	@Schema(description = "退费金额")
    private BigDecimal refundMoney;

    /**
     * 备注
     */
	@Schema(description = "备注")
    private String remark;

	/**
	 * 是否删除 0未删除/1删除
	 */
	@Schema(description = "是否删除 0否/1是")
	private Integer deleteFlag;




	private static final long serialVersionUID = 1L;


}