package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author licancan
 * @description 商险办理新增入参
 * @date 2022-07-18 17:03:31
 */
@Data
@Schema(description = "商险办理新增入参")
public class InsuranceAddParam  implements Serializable {
	private static final long serialVersionUID = -2689686777914935788L;

	/**
	 * 员工姓名
	 */
	@Schema(description = "员工姓名")
	private String empName;

	/**
	 * 员工身份证号
	 */
	@Schema(description = "员工身份证号")
	private String empIdcardNo;

	/**
	 * 项目编码
	 */
	@Schema(description = "项目编码")
	private String deptNo;

	/**
	 * 保险公司名称
	 */
	@Schema(description = "保险公司名称")
	private String insuranceCompanyName;
	/**
	 * 险种名称
	 */
	@Schema(description = "险种名称")
	private String insuranceTypeName;

	/**
	 * 保单开始时间
	 */
	@Schema(description = "保单开始时间")
	private String policyStart;

	/**
	 * 保单结束时间
	 */
	@Schema(description = "保单结束时间")
	private String policyEnd;

	/**
	 * 购买标准
	 */
	@Schema(description = "购买标准")
	private String buyStandard;

	/**
	 * 商险购买地省名称
	 */
	@Schema(description = "商险购买地省名称")
	private String insuranceProvinceName;

	/**
	 * 商险购买地市名称
	 */
	@Schema(description = "商险购买地市名称")
	private String insuranceCityName;

	/**
	 * 商险办理省名称
	 */
	@Schema(description = "商险办理省名称")
	private String insuranceHandleProvinceName;

	/**
	 * 商险办理城市名称
	 */
	@Schema(description = "商险办理城市名称")
	private String insuranceHandleCityName;

	/**
	 * 结算月
	 */
	@Schema(description = "结算月")
	private String settleMonth;

	/**
	 * 岗位
	 */
	@Schema(description = "岗位")
	private String post;

	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remark;

	/**
	 * 错误信息
	 */
	@Schema(description = "错误信息")
	private String errorMessage;

  	/***********************************以下字段由系统算出，前端不用传，是为了方便入库***********************************/
	/**
	 * 结算类型 (1、单独结算 2、合并结算-和工资一起结算)
	 */
	@JsonIgnore
	private Integer settleType;

	/**
	 * 医疗额度
	 */
	@JsonIgnore
	private String medicalQuota;

	/**
	 * 身故或残疾额度
	 */
	@JsonIgnore
	private String dieDisableQuota;
	/**
	 * 险种主键
	 */
	@JsonIgnore
	private Long insuranceTypeId;

	/**
	 * 费率
	 */
	@JsonIgnore
	private BigDecimal rate;

	/**
	 * 计费方式
	 */
	@JsonIgnore
	private Integer billingType;

	/**
	 * 商险购买地省code
	 */
	@JsonIgnore
	private Integer insuranceProvince;

	/**
	 * 商险购买地市code
	 */
	@JsonIgnore
	private Integer insuranceCity;

	/**
	 * 商险办理省code
	 */
	@JsonIgnore
	private Integer insuranceHandleProvince;

	/**
	 * 商险办理城市code
	 */
	@JsonIgnore
	private Integer insuranceHandleCity;
}
