package com.yifu.cloud.plus.v1.yifu.salary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TSalaryStandard;
import com.yifu.cloud.plus.v1.yifu.salary.vo.TPaymentBySalaryVo;
import com.yifu.cloud.plus.v1.yifu.salary.vo.TSalaryAccountVo;
import com.yifu.cloud.plus.v1.yifu.salary.vo.TSalaryDetailVo;

import java.util.List;

/**
 * 标准薪酬上传
 *
 * @author hgw
 * @date 2019-9-4 15:54:12
 */
public interface SalaryUploadService extends IService<TSalaryStandard> {

	/**
	 * @param jsonString
	 *repeatFlag 默认 0：不允许重复导入已存在系统内的数据；1：允许重复导入
	 * @Description: 普通工资上传
	 * @Author: hgw
	 * @Date: 2019/9/4 15:58
	 * @return: com.yifu.cloud.v1.common.core.util.R
	 **/
	R salaryUpload(String jsonString, String settleDepart, String configId, String formType);

	/**
	 * @param savList
	 * @Description: 保存并提交报账表
	 * @Author: hgw
	 * @Date: 2019/9/18 18:42
	 * @return: com.yifu.cloud.v1.common.core.util.R
	 **/
	R<String> saveAndSubmit(List<TSalaryAccountVo> savList);

	R<TSalaryDetailVo> getBill(String salaryFormId);

	List<TPaymentBySalaryVo> getForecast(String deptId, String createMonth);

}
